#-#-#-#-#-#-#-#-#-#-#-#
#  Creature Combat    #
#  1.19.2             #
#-#-#-#-#-#-#-#-#-#-#-#

execute as @a[tag=health] at @s run attribute @s generic.max_health base set 40
execute as @a[tag=!health] at @s run attribute @s generic.max_health base set 20
execute as @a[tag=health,scores={lifesteal=53..},nbt={SelectedItem:{id:"minecraft:iron_sword",Count:1b,tag:{Lifesteal:1}}}] at @s run setblock -1375 50 1470 redstone_block
execute as @a[tag=health,scores={lifesteal=53..},nbt={SelectedItem:{id:"minecraft:iron_sword",Count:1b,tag:{Lifesteal:1}}}] at @s run setblock -1375 50 1470 air
execute as @a[tag=health,scores={lifesteal=1..},nbt={SelectedItem:{id:"minecraft:iron_sword",Count:1b,tag:{Lifesteal:1}}}] at @s run scoreboard players set @s lifesteal 0
execute as @a[tag=overpowered] at @s run function mobbattle:armor_effects/op_helmet
execute as @a[tag=life-and-death,scores={gCarrotLD=1..}] at @s run function mobbattle:armor_effects/life_and_death
execute as @a[tag=life-and-death] run function mobbattle:armor_effects/life_and_death_sword
execute as @a[tag=life-and-death] at @s run function mobbattle:armor_effects/life_and_death_armor
execute as @a[tag=supernova] at @s run function mobbattle:armor_effects/supernova
execute as @a[tag=king-midas,scores={kingMidasDamage=250..}] at @s run function mobbattle:armor_effects/king_midas
execute as @a[tag=king-midas,scores={kingMidasEffect=1..}] at @s run function mobbattle:armor_effects/king_midas_effect
execute as @a[tag=firebreather,scores={waitTorch=21..,throwTorch=1..}] at @s run function mobbattle:armor_effects/firebreather_torch
execute as @a[tag=firebreather] at @s run function mobbattle:armor_effects/firebreather
execute as @a[tag=star-of-extinction] at @s run function mobbattle:armor_effects/star_of_extinction
execute as @a[tag=time-traveler] at @s run function mobbattle:armor_effects/time_traveler
execute as @a[tag=virus] at @s run function mobbattle:armor_effects/virus
execute as @a[tag=black-hole] at @s run function mobbattle:armor_effects/black_hole
execute as @a[tag=elemental] at @s run function mobbattle:armor_effects/elemental

execute as @a[tag=fire-trail] at @s run particle flame ~ ~-0.2 ~ 0.1 0.1 0.1 0.025 2 normal
execute as @a[tag=glow-squid-trail] at @s run particle glow ~ ~-0.2 ~ 0.3 0.1 0.3 0.5 5 normal
execute as @a[tag=honey-trail] at @s run particle item honeycomb ~ ~-0.2 ~ 0.3 0.1 0.3 0.1 5 normal
execute as @a[tag=honey-trail] at @s run particle item honey_block ~ ~-0.2 ~ 0.3 0.1 0.3 0.1 5 normal
execute as @a[tag=end-rod-trail] at @s run particle end_rod ~ ~-0.2 ~ 0.1 0.1 0.1 0.025 5 normal

execute at @a[nbt={SelectedItem:{id:"minecraft:compass",Count:1b,tag:{display:{Lore:['{"text":"Makes mobs around you glow","italic":false,"color":"aqua"}'],Name:'{"text":"Glowing Compass","italic":false}'}}}}] if entity @a[nbt={SelectedItem:{id:"minecraft:compass",Count:1b,tag:{display:{Lore:['{"text":"Makes mobs around you glow","italic":false,"color":"aqua"}'],Name:'{"text":"Glowing Compass","italic":false}'}}}}] run function mobbattle:armor_effects/glowingcompass
execute as @a[scores={openTrappedChest=1..}] at @s run setblock -1413 59 1418 air destroy
execute as @a[scores={openTrappedChest=1..}] at @s run stopsound @a * block.chest.open
execute as @a[scores={openTrappedChest=1..}] at @s run playsound block.amethyst_block.hit block @a ~ ~ ~ 1 1 1
execute as @a[scores={openTrappedChest=1..}] at @s run scoreboard players set @a openTrappedChest 0

execute as @a[scores={PlayEasyMode=..2400,usedWarpedFungus=1..},nbt={SelectedItem:{id:"minecraft:warped_fungus_on_a_stick",tag:{CustomModelData:1}}}] at @s run function mobbattle:portals/random_portal
execute as @a[scores={PlayHardMode=..2400,usedWarpedFungus=1..},nbt={SelectedItem:{id:"minecraft:warped_fungus_on_a_stick",tag:{CustomModelData:1}}}] at @s run function mobbattle:portals/random_portal
execute as @a[scores={PlayEasyMode=..2400,usedWarpedFungus=1..}] at @s run scoreboard players set @a usedWarpedFungus 0
execute as @a[scores={PlayHardMode=..2400,usedWarpedFungus=1..}] at @s run scoreboard players set @a usedWarpedFungus 0

execute at @e[type=tnt,nbt={Fuse:1s}] if entity @e[type=tnt,nbt={Fuse:1s}] run summon minecraft:creeper ~ ~ ~ {CustomName:'{"text":"TNT"}',Fuse:1s,ignited:1b,ActiveEffects:[{Id:14b,Duration:20}]}
kill @e[type=tnt,nbt={Fuse:1s}]
kill @e[type=area_effect_cloud,nbt={Effects:[{Id:14b,Duration:20}]}]

execute unless entity @a[scores={Health=1..4}] at @a run setblock -1429 50 1403 air
execute if entity @a[scores={Health=1..4}] at @a run setblock -1429 50 1403 redstone_block

kill @e[x=-1472,y=53,z=1460,dx=-16,dy=-3,dz=5,type=arrow,nbt={inGround:1b}]

execute as @a[nbt={Inventory:[{Slot:9b,id:"minecraft:poisonous_potato",Count:1b,tag:{CustomModelData:5,display:{Name:'{"text":"Challenge Item","color":"blue","italic":false}',Lore:['{"text":"Longer games","color":"aqua","italic":false}']}}}]}] at @s run function mobbattle:bundle/blue
execute as @a[nbt={Inventory:[{Slot:9b,id:"minecraft:poisonous_potato",Count:1b,tag:{CustomModelData:5,display:{Name:'{"text":"Challenge Item","color":"blue","italic":false}',Lore:['{"text":"Longer games","color":"aqua","italic":false}']}}}]}] at @s run function mobbattle:bundle/cyan
execute as @a[scores={PlayEasyMode=1},nbt={Inventory:[{Slot:9b,id:"minecraft:poisonous_potato",Count:1b,tag:{CustomModelData:6,display:{Name:'{"text":"Challenge Item","color":"dark_green","italic":false}',Lore:['{"text":"Random Negative Status Effect","color":"green","italic":false}']}}}]}] at @s run function mobbattle:random_generators/negative_status_effect
execute as @a[scores={PlayHardMode=1},nbt={Inventory:[{Slot:9b,id:"minecraft:poisonous_potato",Count:1b,tag:{CustomModelData:6,display:{Name:'{"text":"Challenge Item","color":"dark_green","italic":false}',Lore:['{"text":"Random Negative Status Effect","color":"green","italic":false}']}}}]}] at @s run function mobbattle:random_generators/negative_status_effect
execute as @a[nbt={Inventory:[{Slot:9b,id:"minecraft:poisonous_potato",Count:1b,tag:{CustomModelData:7,display:{Name:'{"text":"Challenge Item","color":"dark_red","italic":false}',Lore:['{"text":"Disable Enchantments","color":"red","italic":false}']}}}]}] at @s run function mobbattle:challenge_item_remove_enchants

execute as @a[scores={emptyChest=6000..}] at @s run setblock -1412 59 1418 chest[facing=west] replace
execute as @a[scores={emptyChest=6000..}] at @s run scoreboard players set @a emptyChest 0

stopsound @a * minecraft:item.armor.equip_generic

execute if entity @e[type=item] run function mobbattle:artifact
execute as @e[type=#mobbattle:creatures,tag=dummy] at @s run data merge entity @s {DeathLootTable:"minecraft:empty"}
execute as @e[type=#mobbattle:creatures,nbt={DeathLootTable:"minecraft:entities/creeper"}] at @s run data merge entity @s {DeathLootTable:"mobbattle:entities/creeper"}
execute as @e[type=#mobbattle:creatures,nbt={DeathLootTable:"minecraft:entities/skeleton"}] at @s run data merge entity @s {DeathLootTable:"mobbattle:entities/creeper"}
execute as @e[type=#mobbattle:creatures,nbt={DeathLootTable:"minecraft:entities/wither_skeleton"}] at @s run data merge entity @s {DeathLootTable:"mobbattle:entities/creeper"}
execute as @e[type=#mobbattle:creatures,nbt={DeathLootTable:"minecraft:entities/drowned"}] at @s run data merge entity @s {DeathLootTable:"mobbattle:entities/creeper"}
execute as @e[type=creeper] at @s run data merge entity @s {ArmorDropChances:[0.0F,0.0F,0.0F,0.0F]}
execute as @e[type=skeleton] at @s run data merge entity @s {ArmorDropChances:[0.0F,0.0F,0.0F,0.0F]}
execute as @e[type=skeleton] at @s unless entity @a[scores={PlayHardMode=..2400}] unless entity @s[type=skeleton,nbt={HandItems:[{id:"minecraft:bow",Count:1b,tag:{CustomModelData:2}},{}]}] run data merge entity @s {HandDropChances:[0.0F,0.0F],HandItems:[{id:"minecraft:bow",Count:1b,tag:{CustomModelData:2}},{}]}
execute as @e[type=drowned] at @s run data merge entity @s {ArmorDropChances:[0.0F,0.0F,0.0F,0.0F]}
execute as @e[type=wither_skeleton] at @s run data merge entity @s {ArmorDropChances:[0.0F,0.0F,0.0F,0.085F]}
execute as @e[type=wither_skeleton] at @s unless entity @a[scores={PlayHardMode=..2400}] if entity @s[type=wither_skeleton,nbt={HandItems:[{id:"minecraft:bow",Count:1b},{}]}] unless entity @s[type=wither_skeleton,nbt={HandItems:[{id:"minecraft:bow",Count:1b,tag:{CustomModelData:2}},{}]}] run data merge entity @s {HandDropChances:[0.0F,0.0F],HandItems:[{id:"minecraft:bow",Count:1b,tag:{CustomModelData:2}},{}]}

function mobbattle:scoreboards

scoreboard players set @a gCarrotLD 0